Skip to main content
GET
/
shipper
/
quotes
Get Shipper Quotes
curl --request GET \
  --url https://api-lg-k.arms.cedarai.com/shipper/quotes \
  --header 'x-arms-api-key: <api-key>' \
  --header 'x-arms-assume-user: <api-key>'
{
  "quotes": [
    {
      "charges": [
        {
          "amount": {
            "cents": 123,
            "currency": "<string>",
            "dollars": "<string>"
          },
          "carrier": "<string>",
          "rate": {
            "amount": {
              "cents": 123,
              "currency": "<string>",
              "dollars": "<string>"
            },
            "publication": {
              "issuer": "<string>",
              "number": "<string>",
              "suffix": "<string>",
              "type": "CONTRACT"
            },
            "qualifier": "PER_BOARD_FOOT"
          },
          "rated_quantity": {
            "amount": {
              "value": "<string>"
            },
            "units": "BOARD_FEET"
          },
          "route": "<string>",
          "type": "FREIGHT"
        }
      ],
      "distance": {
        "value": "<string>"
      },
      "name": "<string>",
      "route": "<string>",
      "total": {
        "cents": 123,
        "currency": "<string>",
        "dollars": "<string>"
      }
    }
  ]
}

Authorizations

x-arms-api-key
string
header
required
x-arms-assume-user
string
header
required

Query Parameters

origin.carrier_fsac.carrier
string

Reporting marks / railroad code (for example, BNSF, UP, CSXT).

origin.carrier_fsac.fsac
string

FSAC (Freight Station Accounting Code) for the location on the carrier.

origin.junction.junction_code
string

Industry junction code used when identifying a location by interchange.

origin.city_state.city
string

City name for the location.

origin.city_state.state_or_province
string

State or province code (for example, TX, ON).

destination.carrier_fsac.carrier
string

Reporting marks / railroad code (for example, BNSF, UP, CSXT).

destination.carrier_fsac.fsac
string

FSAC (Freight Station Accounting Code) for the location on the carrier.

destination.junction.junction_code
string

Industry junction code used when identifying a location by interchange.

destination.city_state.city
string

City name for the location.

destination.city_state.state_or_province
string

State or province code (for example, TX, ON).

contents.stcc_or_prefix
string

STCC code or STCC prefix describing shipment commodity.

contents.quantity.amount.value
string
contents.quantity.units
enum<string>

Unit associated with the quantity.

Available options:
BOARD_FEET,
CARLOAD,
CONTAINER,
CORD_VOLUME,
CUBIC_FEET,
GALLONS,
INTERMODAL_UNITS,
KILOGRAMS,
LITER,
MILES,
ONE_HUNDRED_BOARD_FEET,
POUNDS,
THOUSAND_BOARD_FEET,
TRAILER,
TRAIN,
UNITS,
VEHICLE,
VOLUMETRIC_UNIT
ship_date
string

Desired shipment date used for applicability/rating in ISO8601 format. Use YYYY-MM-DD (for example: "2026-03-03").

route.route_sequence_string
string

Optional explicit route sequence. Format example: "CARRIER1-JCT1-CARRIER2-JCT2-CARRIER3" Example value: "AA-DIANN-GTW-CHGO-BNSF"

contract_cifs
string[]

Contract CIF filters. If provided, matching contract quotes are included in addition to tariff results.

car_type
enum<string>

Optional car type override used for rating/equipment assumptions.

Available options:
ALL_CAR_TYPES,
BI_LEVEL,
BOX_CAR,
BULKHEAD,
CLOSED,
CLOSED_BI_LEVEL,
CLOSED_TRI_LEVEL,
COIL,
COVERED_COIL,
COVERED_GONDOLA,
CUSHIONED_BOX_CAR,
FLAT_PEDESTAL,
GONDOLA,
GRAVITY_FLOW,
INSULATED_BOX_CAR,
MECHANICAL_REFRIGERATOR,
OPEN,
OPEN_COIL_CARS,
OPEN_GONDOLA,
OPEN_HOPPER,
PLUG_DOORS,
TRI_LEVEL,
TRIPLE_CROSS_HOPPER

Response

A successful response.

quotes
object[]

Candidate quotes returned for the request.